import { IAppToolkit } from '../../../app-toolkit/app-toolkit.interface';
import { CompoundSupplyTokenFetcher, GetMarketsParams } from '../../../apps/compound/common/compound.supply.token-fetcher';
import { GetDataPropsParams, GetPricePerShareParams, GetUnderlyingTokensParams } from '../../../position/template/app-token.template.types';
import { SonneComptroller, SonneContractFactory, SonneSoToken } from '../contracts';
export declare class OptimismSonneSupplyTokenFetcher extends CompoundSupplyTokenFetcher<SonneSoToken, SonneComptroller> {
    protected readonly appToolkit: IAppToolkit;
    protected readonly contractFactory: SonneContractFactory;
    groupLabel: string;
    comptrollerAddress: string;
    constructor(appToolkit: IAppToolkit, contractFactory: SonneContractFactory);
    getCompoundCTokenContract(address: string): SonneSoToken;
    getCompoundComptrollerContract(address: string): SonneComptroller;
    getMarkets({ contract }: GetMarketsParams<SonneComptroller>): Promise<string[]>;
    getUnderlyingAddress({ contract }: GetUnderlyingTokensParams<SonneSoToken>): Promise<string>;
    getExchangeRate({ contract }: GetPricePerShareParams<SonneSoToken>): Promise<import("ethers").BigNumber>;
    getSupplyRate({ contract }: GetDataPropsParams<SonneSoToken>): Promise<import("ethers").BigNumber>;
}
